# Uses of Interface
org.eclipse.microprofile.config.Config

Packages that use Config
Package
Description
org.eclipse.microprofile.config
Configuration for Java MicroProfile
org.eclipse.microprofile.config.spi
This package contains classes which are used to implement the configuration API, and to extend the standard configuration functionality in a portable way.

## Uses of Config in org.eclipse.microprofile.config

Methods in org.eclipse.microprofile.config that return Config
Modifier and Type
Method
Description
`static Config`
ConfigProvider.`getConfig()`
Get the configuration corresponding to the current application, as defined by the calling thread's context class loader.
`static Config`
ConfigProvider.`getConfig(ClassLoader cl)`
Get the configuration for the application corresponding to the given class loader instance.

## Uses of Config in org.eclipse.microprofile.config.spi

Methods in org.eclipse.microprofile.config.spi that return Config
Modifier and Type
Method
Description
`Config`
ConfigBuilder.`build()`
Build a new `Config` instance based on this builder instance.
`abstract Config`
ConfigProviderResolver.`getConfig()`
Get the configuration instance for the current application in the manner described by `ConfigProvider.getConfig()`.
`abstract Config`
ConfigProviderResolver.`getConfig(ClassLoader loader)`
Get the configuration instance for the current application in the manner described by `ConfigProvider.getConfig(ClassLoader)`.
Methods in org.eclipse.microprofile.config.spi with parameters of type Config
Modifier and Type
Method
Description
`abstract void`
ConfigProviderResolver.`registerConfig(Config config, ClassLoader classLoader)`
Register the given `Config` instance to the application identified by the given class loader.
`abstract void`
ConfigProviderResolver.`releaseConfig(Config config)`
A `Config` normally gets released if the Application it is associated with gets destroyed.